.header .navbar-toggler {
    border: none;
    padding: 0;
    margin: 0;
    width: 25px;
    height: 25px;
    box-shadow: none;
    overflow: hidden;
    margin-left: 1rem;
    border-radius: 0
}

.header .hamburger {
    position: relative
}

.header .hamburger span,
.header .hamburger span::before,
.header .hamburger span::after {
    display: block;
    width: 2.5rem;
    height: 2px;
    background-color: #0e0e0e91;
    outline: 1px solid transparent;
    transition-property: background-color, transform;
    transition-duration: .3s;
    float: none
}

.no-scroll {
    overflow: hidden;
    position: fixed;
    width: 100%;
    padding-right: 1rem
}

body::before {
    width: 0%;
    height: 100vh;
    opacity: 0;
    position: absolute;
    top: 0%;
    bottom: 0;
    left: 100%;
    right: 0;
    background: rgb(46 46 46 / 95%);
    content: "";
    z-index: 2;
    transition: .5s ease-in-out;
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -ms-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out
}

body.no-scroll::before {
    width: 100%;
    opacity: 1;
    left: 0
}

.hamburger_overlay {
    position: fixed;
    background: #750379;
    opacity: 1;
    backdrop-filter: blur(2px);
    top: 0;
    left: auto;
    width: 400px;
    height: 0%;
    opacity: 0;
    visibility: hidden;
    transition: .35s, visibility .35s, height .35s;
    overflow: hidden;
    padding-inline: 4rem;
    padding-block: 96px;
    padding-bottom: 4rem;
    z-index: 100;
    padding-top: 6vh;
    right: -400px;
    height: 100%
}

.hamburger_overlay.open {
    opacity: 1;
    visibility: visible;
    right: 0
}

.hamburger_overlay.open::after {
    background-color: #000;
    left: 0;
    position: absolute;
    top: 0;
    bottom: 0;
    content: ""
}

.hamburger_overlay.open li {
    animation: fadeInRight .5s ease forwards;
    animation-delay: .35s
}

.hamburger_overlay.open li:nth-of-type(2) {
    animation-delay: .4s
}

.hamburger_overlay.open li:nth-of-type(3) {
    animation-delay: .45s
}

.hamburger_overlay.open li:nth-of-type(4) {
    animation-delay: .50s
}

.hamburger_overlay nav {
    height: auto;
    top: 0;
    transform: translateY(0%);
    font-weight: 400;
    text-align: left;
    right: 0;
    padding: 0;
    width: 100%
}

.hamburger_overlay ul {
    list-style: none;
    padding: 0;
    margin: 0 auto;
    display: inline-block;
    position: relative
}

.hamburger_overlay ul li {
    display: block;
    margin-bottom: 6.4px;
    position: relative;
    opacity: 0
}

.hamburger_overlay ul li a {
    display: block;
    position: relative;
    color: #fff;
    text-decoration: none;
    overflow: hidden;
    font-size: var(--text-20);
    font-weight: 600;
    margin: 2.5rem 0;
    border-left: 1px solid #fff;
    padding: 0 0 0 1rem;
    line-height: 1
}

.hamburger_overlay nav figure {
    background: #fff
}

.hamburger_overlay nav figure img {
    background: #fff
}

@keyframes fadeInRight {
    0% {
        opacity: 0;
        left: 20%;
    }
    100% {
        opacity: 1;
        left: 0;
    }
}

.close-btn {
    position: absolute;
    right: 48px;
    z-index: 2;
    top: 80px;
    opacity: 0;
    visibility: hidden
}

.hamburger_overlay.open .close-btn {
    position: absolute;
    right: 48px;
    z-index: 2;
    top: 24px;
    opacity: 1;
    visibility: visible
}

.close-btn img {
    width: 24px;
    cursor: pointer
}

nav.hamburger_overlay-menu h2 {
    color: #fff;
    font-size: 16px;
    margin-bottom: 35px;
    animation: fadeInRight .5s ease forwards;
    animation-delay: .35s;
    font-family: var(--family-1)
}

.hamburger_overlay ul {
    margin-bottom: 32px
}

.right-menu-panel h5 {
    font-size: 13.6px;
    color: #fff;
    font-weight: bold;
    animation: fadeInRight .5s ease forwards;
    animation-delay: .35s;
    font-family: var(--family-1);
    margin-bottom: 8px
}

.header.inner_header .hamburger span,
.header.inner_header .hamburger span::before,
.header.inner_header .hamburger span::after {
    background-color: var(--secondary-color)
}

.header .hamburger span:before,
.header .hamburger span:after {
    position: absolute;
    content: ""
}

.header .hamburger span:before {
    top: -9px;
    width: 2.5rem
}

.header .hamburger span:after {
    top: 9px;
    width: 2.5rem
}

.navbar-expand-lg .navbar-toggler {
    display: block
}

.header .collapse.navbar-collapse {
    position: fixed;
    top: 0;
    right: -100%;
    height: calc(100vh + 100%);
    width: 100%;
    background-color: var(--color-95);
    padding: 8rem 3rem;
    display: block;
    z-index: 9;
    transition: .5s all ease-in-out;
    -webkit-transition: .5s all ease-in-out;
    -moz-transition: .5s all ease-in-out;
    -ms-transition: .5s all ease-in-out;
    -o-transition: .5s all ease-in-out;
    border: none
}

.header .navbar-collapse:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-color: #f0efef;
    z-index: 1;
    border: none
}

.header .collapse.navbar-collapse {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start
}

body.slide-togle .header .collapse.navbar-collapse {
    right: 0
}

.slide-togle .header .collapse.navbar-collapse:after {
    left: 0
}

.humburger-menu {
    position: absolute;
    top: 15px;
    right: 15px;
    z-index: 9
}

.header .side_close {
    width: 3rem;
    height: 3rem;
    background-color: var(--color-red);
    float: none;
    cursor: pointer
}

.header .side_close span {
    display: block;
    width: 2.5rem;
    height: .2rem;
    background: transparent;
    position: relative
}

.header .side_close span:before {
    content: "";
    width: 100%;
    height: .2rem;
    background: #fff;
    position: absolute;
    top: 1.3rem;
    right: -.2rem;
    transform: rotate(45deg)
}

.header .side_close span:after {
    content: "";
    width: 100%;
    height: .2rem;
    background: #fff;
    position: absolute;
    top: 1.3rem;
    right: -.2rem;
    transform: rotate(-45deg)
}

.header .collapse.navbar-collapse:after {
    position: fixed;
    content: "";
    top: 0;
    left: -100%;
    right: 0;
    width: 100%;
    height: calc(100vh + 100px);
    background-color: #0009;
    z-index: -1;
    transition: .5s all ease-in-out;
    -webkit-transition: .5s all ease-in-out;
    -moz-transition: .5s all ease-in-out;
    -ms-transition: .5s all ease-in-out;
    -o-transition: .5s all ease-in-out;
    border: none
}

.header .navbar .container-fluid {
    align-items: center
}

.header .collapse.navbar-collapse .navbar-nav {
    order: 1;
    padding-bottom: 4rem;
    position: relative;
    z-index: 1;
    width: 100%
}

.header .navbar-nav li {
    text-align: left
}

.header .navbar-nav>li>img {
    filter: contrast(0);
    width: 15px;
    margin-left: .5rem;
    position: absolute;
    top: 0;
    left: auto;
    right: 0;
    height: 15px;
    cursor: pointer
}

.header .navbar-nav li {
    position: relative;
    padding: 0;
    padding-bottom: 0
}

.header .navbar-nav li a {
    font-size: var(--font-13);
    color: var(--color-white);
    font-weight: 600;
    display: inline-block;
    padding: 0;
    margin: 0;
    transition: all .4s;
    white-space: nowrap
}

.header .navbar-nav .submenu {
    padding: 2rem 0 0 1rem
}

.header .navbar-nav .submenu>li:last-child {
    padding-bottom: 0
}

.hamburger-toggle {
    border-left: 2px solid #605e5e;
    padding-left: 3rem;
    height: 40px;
    display: flex;
    align-items: center
}